## pagodacf 0.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # FILE     Makefile
 #
-# Copyright (c) 2003-2004, James H. Woodyatt
+# Copyright (c) 2003-2005, James H. Woodyatt
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -114,10 +114,10 @@
 CF_MODULES = \
     ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
 	stdtime journal seq deque flow heap pqueue map set sbheap rbtree gadget \
-	unicode parser message dfa lexer scan_parser socket netif nameinfo \
-    sock_common sock_dgram sock_stream ip_common $(CF_ADDR_MODULES:%=%_addr) \
-	$(CF_PROTO_MODULES:%=%_proto) tcp4_socket tcp6_socket udp4_socket \
-	udp6_socket poll uri
+    unicode parser message dfa regex lex lexer scan_parser \
+    socket netif nameinfo sock_common sock_dgram sock_stream ip_common \
+    $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
+    tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
 
 CF_PRIMITIVES = \
     common tai64 tai64n socket netif nameinfo sock_dgram sock_stream \
