## pagodacf 0.7

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,7 @@
 OCAMLDEP     = ocamldep
 OCAMLLEX     = ocamllex
 OCAMLYACC    = ocamlyacc
+OCAMLDOC     = ocamlfind ocamldoc $(OCAMLFINDOPT)
 
 CC_OPT       = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
 CMI_OPT      = $(DEBUG_OPT)
@@ -114,7 +115,7 @@
 CF_MODULES = \
     ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
 	stdtime journal seq deque flow heap pqueue map set sbheap rbtree gadget \
-    unicode parser message dfa regex lex lexer scan_parser \
+    machine unicode parser message dfa regex lex lexer scan_parser \
     socket netif nameinfo sock_common sock_dgram sock_stream ip_common \
     $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
     tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
@@ -209,7 +210,7 @@
 
 doc::
 	@mkdir -p doc
-	ocamldoc -v -d doc -html -colorize-code -m A $(DOC_SOURCES)
+	$(OCAMLDOC) -v -d doc -html -colorize-code -m A $(DOC_SOURCES)
 
 ###############################################################################
