## pagodacf 0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # FILE     Makefile
 #
-# Copyright (c) 2003-2005, James H. Woodyatt
+# Copyright (c) 2003-2006, James H. Woodyatt
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -28,7 +28,6 @@
 # ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 # OF THE POSSIBILITY OF SUCH DAMAGE. 
 
-DEBUG_OPT = -g -passopt -principal
 REQUIRE = unix
 PREDICATES =
 
@@ -52,10 +51,17 @@
 OCAMLYACC    = ocamlyacc
 OCAMLDOC     = ocamlfind ocamldoc $(OCAMLFINDOPT)
 
-CC_OPT       = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
-CMI_OPT      = $(DEBUG_OPT)
-CMO_OPT      = $(DEBUG_OPT)
-CMX_OPT      = -unsafe -noassert -inline 9
+DEBUG_OPT    = -g
+WARN_ERROR   = -passopt -w -passopt Ae # -warn-error A
+PRINCIPLE    = -principal
+UNSAFE       = -unsafe -noassert
+
+ALL_OCAML_OPT = $(WARN_ERROR) $(PRINCIPLE)
+
+CC_OPT  = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
+CMI_OPT = $(ALL_OCAML_OPT) $(DEBUG_OPT)
+CMO_OPT = $(ALL_OCAML_OPT) $(DEBUG_OPT)
+CMX_OPT = $(ALL_OCAML_OPT) $(UNSAFE) -inline 9
 
 .SUFFIXES: .ml .mli .mll .mly .cmo .cmi .cma .cmx .cmxa
 
@@ -92,10 +98,10 @@
 CF_YACC_MODULES = $(CF_LEXYACC_MODULES:%=cf_yacc_%)
 CF_LEX_MODULES = $(CF_LEXYACC_MODULES:%=cf_lex_%)
 
-clean::
-	rm -rf $(CF_LEX_ML_FILES)
-	rm -rf $(CF_YACC_ML_FILES)
-	rm -rf $(CF_YACC_MLI_FILES)
+#clean::
+#	rm -rf $(CF_LEX_ML_FILES)
+#	rm -rf $(CF_YACC_ML_FILES)
+#	rm -rf $(CF_YACC_MLI_FILES)
 
 cf_lex_%.cmo : cf_yacc_%.cmi cf_lex_%.cmi
 cf_lex_%.cmx : cf_yacc_%.cmi cf_lex_%.cmi
@@ -114,10 +120,10 @@
 
 CF_MODULES = \
     ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
-	stdtime journal seq deque flow heap pqueue map set sbheap rbtree gadget \
-    machine unicode parser message dfa regex lex lexer scan_parser \
-    socket netif nameinfo sock_common sock_dgram sock_stream ip_common \
-    $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
+	stdtime journal seq deque flow heap pqueue map set sbheap rbtree \
+	gadget state_gadget machine unicode parser message dfa regex lex \
+	scan_parser socket netif nameinfo sock_common sock_dgram sock_stream \
+	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
     tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
 
 CF_PRIMITIVES = \
@@ -169,11 +175,12 @@
 
 opt:: $(TEST_OPT_PROGRAMS)
 
-t.% : t/t_%.ml cf.cma
-	$(OCAMLC) -o $@ $(DEBUG_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cma) $<
-
-t-opt.% : t/t_%.ml cf.cmxa
-	$(OCAMLOPT) -o $@ $(TEST_LINKOPT) $(TEST_LIBS:%=%.cmxa) $<
+t.% : t/t_%.ml $(TEST_LIBS:%=%.cma)
+	$(OCAMLC) -o $@ $(CMO_OPT) $(DEBUG_OPT) $(TEST_LINKOPT) \
+        $(TEST_LIBS:%=%.cma) $<
+
+t-opt.% : t/t_%.ml $(TEST_LIBS:%=%.cmxa)
+	$(OCAMLOPT) -o $@ $(CMX_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cmxa) $<
 
 test:: $(TEST_PROGRAMS)
 	@for i in $(TEST_PROGRAMS); do \
@@ -198,8 +205,8 @@
 
 default:: ocamltop
 
-ocamltop: cf.cma
-	$(OCAMLMKTOP) $(TEST_LINKOPT) -o $@ cf.cma
+ocamltop: $(TEST_LIBS:%=%.cma)
+	$(OCAMLMKTOP) -o $@ $(CMO_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cma)
 
 clean::
 	rm -f ocamltop
