## pagodacf 0.10

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 ALL_OCAML_OPT = $(WARN_ERROR) $(PRINCIPLE)
 
 CC_OPT  = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
+# add "-ccopt -I/usr/local/include -ccopt -L/usr/local/lib" for FreeBSD 6.2
 CMI_OPT = $(ALL_OCAML_OPT) $(DEBUG_OPT)
 CMO_OPT = $(ALL_OCAML_OPT) $(DEBUG_OPT)
 CMX_OPT = $(ALL_OCAML_OPT) $(UNSAFE) -inline 9
@@ -115,20 +116,25 @@
 CF_YACC_ML_FILES = $(CF_YACC_MODULES:%=%.ml)
 CF_YACC_MLI_FILES = $(CF_YACC_MODULES:%=%.mli)
 
-CF_ADDR_MODULES = ip4 ip6
-CF_PROTO_MODULES = ip4 ip6
-
 CF_MODULES = \
     ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
 	stdtime journal seq deque flow heap pqueue map set sbheap rbtree \
 	gadget state_gadget machine unicode parser message dfa regex lex \
-	scan_parser socket netif nameinfo sock_common sock_dgram sock_stream \
-	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
-    tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
-
-CF_PRIMITIVES = \
-    common tai64 tai64n socket netif nameinfo sock_dgram sock_stream \
-	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto)
+	scan_parser
+
+CF_PRIMITIVES = tai64 tai64n
+
+#CF_ADDR_MODULES = ip4 ip6
+#CF_PROTO_MODULES = ip4 ip6
+	
+#CF_MODULES += \
+#	socket netif nameinfo sock_common sock_dgram sock_stream \
+#	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
+#   tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
+
+#CF_PRIMITIVES += \
+#    common socket netif nameinfo sock_dgram sock_stream \
+#	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto)
 
 CF_ML_FILES = $(CF_MODULES:%=cf_%.ml)
 CF_MLI_FILES = $(CF_MODULES:%=cf_%.mli)
@@ -176,8 +182,7 @@
 opt:: $(TEST_OPT_PROGRAMS)
 
 t.% : t/t_%.ml $(TEST_LIBS:%=%.cma)
-	$(OCAMLC) -o $@ $(CMO_OPT) $(DEBUG_OPT) $(TEST_LINKOPT) \
-        $(TEST_LIBS:%=%.cma) $<
+	$(OCAMLC) -o $@ $(CMO_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cma) $<
 
 t-opt.% : t/t_%.ml $(TEST_LIBS:%=%.cmxa)
 	$(OCAMLOPT) -o $@ $(CMX_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cmxa) $<
