=== debian/control ===
Source: pagodacf
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 10), dh-ocaml (>= 0.9.1), ocaml-nox (>= 3.11), ocaml-findlib (>= 1.2.4)
Standards-Version: 3.8.3
Homepage: http://www.sourceforge.net/projects/ocnae/
Vcs-Git: https://salsa.debian.org/ocaml-team/pagodacf.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/pagodacf

Package: libcf-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libcf-ocaml (= ${binary:Version})
Provides: ${ocaml:Provides}
Description: OCaml library with miscellaneous utility functions
 The pagoda core foundation OCaml library provides various modules. Some of
 the highlighted features include:
   - Functional streams and stream processors (extended).
   - Functional bootstrapped skew-binomial heap.
   - Functional red-black binary tree (associative array).
   - Functional sets and maps based on red-black binary tree.
   - Functional real-time catenable deque.
   - Functional LL(x) parsing using state-exception monad.
   - Functional lazy deterministic finite automaton (DFA).
   - Functional lexical analyzer (using lazy DFA and monadic parser).
   - Functional substring list manipulation (message buffer chains).
   - Gregorian calendar date manipulation.
   - Standard time manipulation.
   - System time in Temps Atomique Internationale (TAI).
   - Unicode transcoding.
   - Extended socket interface (supports IPv6 and UDP w/multicast).
   - Universal resource identifier (URI) manipulation.
   - I/O event multiplexing (with Unix.select).
 .
 This package contains all the development stuff you need to use ocaml-mad
 in your programs.

Package: libcf-ocaml
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml library with miscellaneous utility functions
 The pagoda core foundation OCaml library provides various modules. Some of
 the highlighted features include:
   - Functional streams and stream processors (extended).
   - Functional bootstrapped skew-binomial heap.
   - Functional red-black binary tree (associative array).
   - Functional sets and maps based on red-black binary tree.
   - Functional real-time catenable deque.
   - Functional LL(x) parsing using state-exception monad.
   - Functional lazy deterministic finite automaton (DFA).
   - Functional lexical analyzer (using lazy DFA and monadic parser).
   - Functional substring list manipulation (message buffer chains).
   - Gregorian calendar date manipulation.
   - Standard time manipulation.
   - System time in Temps Atomique Internationale (TAI).
   - Unicode transcoding.
   - Extended socket interface (supports IPv6 and UDP w/multicast).
   - Universal resource identifier (URI) manipulation.
   - I/O event multiplexing (with Unix.select).
 .
 This package contains only the shared runtime stub libraries.
