=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/ocaml/ocamlinit.mk

TMPDIR=debian/tmp
DESTDIR=$(TMPDIR)/$(OCAML_STDLIB_DIR)

build: ocamlinit build-stamp
build-stamp:
	dh_testdir
	if ! test -f .depend.org; then cp .depend .depend.org; fi
	$(MAKE) depend
	$(MAKE) DEBUG_OPT="-g" default
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) opt
endif
	$(MAKE) doc
	mv doc html

	touch build-stamp

clean: ocamlinit-clean
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	-$(RM) -f .DS_Store
	if test -f .depend.org; then mv .depend.org .depend; fi
	-$(RM) -rf $(TMPDIR) doc html
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_install --list-missing
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_ocaml
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure ocamlinit
