=== debian/watch ===
version=3

http://sf.net/ocnae/cf-([0-9\.]+)\.tar\.bz2 debian uupdate
